#!/bin/bash
#
#  ESMPRO ServerAgentService
#    esmsasgencert.sh Version: 1.00 (2015/12/17)
#

HOSTNAME=""


if [ -f /etc/openwsman/servercert.pem ] || [ -f /etc/openwsman/serverkey.pem ]; then
	/bin/echo "Certificate exists! Exit."
	exit 1
fi

if [ ! -f /etc/openwsman/owsmangencert.sh ]; then
	/bin/echo "ERROR: Can't find /etc/openwsman/owsmangencert.sh to create certificate! Exit."
	exit 1
fi

if [ ! -f /etc/openwsman/ssleay.cnf.esmbak ]; then
	/bin/cp -a /etc/openwsman/ssleay.cnf /etc/openwsman/ssleay.cnf.esmbak >/dev/null 2>&1
fi

if [ -f /bin/uname ]; then
	HOSTNAME=`/bin/uname -n 2>/dev/null`
fi

if [ -z "$HOSTNAME" ]; then
	HOSTNAME="localhost.localdomain"
fi

/bin/cat > /etc/openwsman/ssleay.cnf 2>/dev/null << ESMEOF
RANDFILE                = /dev/urandom
 
[ req ]
default_bits            = 1024
default_keyfile         = privkey.pem
distinguished_name      = req_distinguished_name
prompt                  = no
 
[ req_distinguished_name ]
countryName             = GB
stateOrProvinceName     = Some-State
commonName              = $HOSTNAME
 
ESMEOF

/etc/openwsman/owsmangencert.sh >/dev/null 2>&1

/bin/rm -f /etc/openwsman/ssleay.cnf >/dev/null 2>&1
/bin/mv /etc/openwsman/ssleay.cnf.esmbak /etc/openwsman/ssleay.cnf >/dev/null 2>&1

exit 0
