#!/bin/sh
#
#  ESMPRO Agent / ESMPRO ServerAgentService
#    id_list.sh Version: 1.00 (2015/07/10)
#

REG_PATH="/opt/nec/esmpro_sa/registry/HKEY_LOCAL_MACHINE/SOFTWARE/NEC/ESMALERTMAN/REPORTTABLE/EVENTLOG/APPLICATION"
EVENT_LIST="ID_LIST"
SNMP="SNMP"
TCPIP_IN="TCP_IP IN-BAND"
TCPIP_OUT="TCP_IP OUT-OF-BAND"

TMP_FILE="/tmp/event.tmp"
TMP_FILE2="/tmp/event.tmp2"

/bin/rm -f ${TMP_FILE} ${TMP_FILE2}

if [ -d "${REG_PATH}" ] ; then
	/usr/bin/find "${REG_PATH}" -name "${EVENT_LIST}" > ${TMP_FILE}
else
	/bin/echo "Please check whether ESMPRO/ServerAgent has been installed."
	exit 1
fi

while read line
do
	snmppath=${line}/${SNMP}
	tcpinpath=${line}/${TCPIP_IN}
	tcpoutpath=${line}/${TCPIP_OUT}

	if [ -d "${snmppath}" ] ; then
		/bin/echo -n "${line}/ON" >> ${TMP_FILE2}
	else
		/bin/echo -n "${line}/OFF" >> ${TMP_FILE2}
	fi

	if [ -d "${tcpinpath}" ] ; then
		/bin/echo -n "/ON" >> ${TMP_FILE2}
	else
		/bin/echo -n "/OFF" >> ${TMP_FILE2}
	fi

	if [ -d "${tcpoutpath}" ] ; then
		/bin/echo "/ON" >> ${TMP_FILE2}
	else
		/bin/echo "/OFF" >> ${TMP_FILE2}
	fi

done < ${TMP_FILE}

if [ -f "${TMP_FILE2}" ] ; then
	/bin/awk 'BEGIN{FS="/";OFS="\t";print "SOURSENAME  EVENTID  SNMP  TCPIP_INBAND TCPIP_OUTOFBAND"}{print $13,$14,$17,$18,$19}' ${TMP_FILE2}
fi

/bin/rm -f ${TMP_FILE} ${TMP_FILE2}
exit 0
